## ultracopier 0.2.0.16

=== CMakeLists.txt ===
project(ultracopier)

# for enable the KDE4 mode: -DCMAKE_BUILD_KDE4:bool=true
# for enable the windows specific part: -DCMAKE_BUILD_WINDOWS:bool=true
# for compil in debug mode: -DCMAKE_BUILD_TYPE:string=debug

IF(DEFINED CMAKE_BUILD_KDE4)
find_package(KDE4 REQUIRED)
ENDIF(DEFINED CMAKE_BUILD_KDE4)

IF(NOT DEFINED CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE "release")
ENDIF(NOT DEFINED CMAKE_BUILD_TYPE)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
find_package(Qt4 REQUIRED)

SET(QT_USE_NETWORK 1)
set(QT_USE_QTGUI TRUE)
INCLUDE(${QT_USE_FILE})

IF(DEFINED CMAKE_BUILD_KDE4)
include (KDE4Defaults ${QT_USE_QTNETWORK})
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES})
ELSE(DEFINED CMAKE_BUILD_KDE4)
include_directories( ${QT_INCLUDES})
ENDIF(DEFINED CMAKE_BUILD_KDE4)

add_subdirectory( src )

=== src/CMakeLists.txt ===
set(ultracopier_SRCS
  AddFolder.cpp
  CopyThread.cpp
  Ewindow.cpp
  FEwindow.cpp
  Mwindow.cpp
  Options.cpp
  UIcon.cpp
  helpdialog.cpp
  main.cpp
  spaceWindow.cpp
  WriteThread.cpp
)

#for KDE4 Mode
IF(CMAKE_BUILD_TYPE MATCHES "debug")
add_definitions(-DDEBUG_ULTRACOPIER=100)
ADD_DEFINITIONS(-Wall)
SET(CMAKE_CXX_FLAGS -g)
else(CMAKE_BUILD_TYPE MATCHES "debug")
add_definitions(-DDEBUG_ULTRACOPIER=0)
ENDIF(CMAKE_BUILD_TYPE MATCHES "debug")

IF(DEFINED CMAKE_BUILD_WINDOWS)
add_definitions(-DULTRACOPIER_MODE_WINDOWS)
ENDIF(DEFINED CMAKE_BUILD_WINDOWS)

IF(DEFINED CMAKE_BUILD_KDE4)
add_definitions(-DULTRACOPIER_MODE_KDE4)
ENDIF(DEFINED CMAKE_BUILD_KDE4)

IF(DEFINED CMAKE_BUILD_KDE4)
kde4_add_ui_files(ultracopier_SRCS copyError.ui copyFileExists.ui helpdialog.ui main_window.ui options.ui spaceDialog.ui)
else(DEFINED CMAKE_BUILD_KDE4)
ADD_DEFINITIONS(${QT_DEFINITIONS})
QT4_WRAP_CPP(ultracopier_SRCS)
QT4_WRAP_UI(copyError.ui copyFileExists.ui helpdialog.ui main_window.ui options.ui spaceDialog.ui)
endif(DEFINED CMAKE_BUILD_KDE4)

# QT4_ADD_TRANSLATION(lang/french.qm lang/french.ts)
# QT4_ADD_TRANSLATION(lang/german.qm lang/german.ts)
# QT4_ADD_TRANSLATION(lang/spanish.qm lang/spanish.ts)
# QT4_ADD_TRANSLATION(lang/russian.qm lang/russian.ts)
# QT4_ADD_TRANSLATION(lang/italian.qm lang/italian.ts)
# QT4_ADD_TRANSLATION(lang/arabic.qm lang/arabic.ts)
# QT4_ADD_TRANSLATION(lang/japanese.qm lang/japanese.ts)
# QT4_ADD_TRANSLATION(lang/chinese.qm lang/chinese.ts)
# QT4_ADD_TRANSLATION(lang/greek.qm lang/greek.ts)
# QT4_ADD_TRANSLATION(lang/polish.qm lang/polish.ts)
# QT4_ADD_TRANSLATION(lang/turkish.qm lang/turkish.ts)

QT4_ADD_RESOURCES(ultracopier_SRCS resources.qrc)
if(WIN32)
	QT4_ADD_RESOURCES(ultracopier_SRCS resources_windows.qrc)
else(WIN32)
	if(APPLE)
		QT4_ADD_RESOURCES(ultracopier_SRCS resources_style_IcOsX.qrc)
		SET( MACOSX_BUNDLE_ICON_FILE ultracopier.icns )
	else(APPLE)
		QT4_ADD_RESOURCES(ultracopier_SRCS resources_style_Oxygen.qrc)
	endif(APPLE)
endif(WIN32)

IF(DEFINED CMAKE_BUILD_WINDOWS)
	ADD_LIBRARY(ultracopier_SRCS register.cpp)
	ADD_LIBRARY(ultracopier_SRCS libole32)
	IF(DEFINED CMAKE_BUILD_KDE4)
		kde4_add_executable(ultracopier resources-windows.rc ${ultracopier_SRCS})
	ELSE(DEFINED CMAKE_BUILD_KDE4)
		add_executable(ultracopier resources-windows.rc ${ultracopier_SRCS})
	ENDIF(DEFINED CMAKE_BUILD_KDE4)
ELSE(DEFINED CMAKE_BUILD_WINDOWS)
	IF(DEFINED CMAKE_BUILD_KDE4)
		kde4_add_executable(ultracopier ${ultracopier_SRCS})
	ELSE(DEFINED CMAKE_BUILD_KDE4)
		add_executable(ultracopier ${ultracopier_SRCS})
	ENDIF(DEFINED CMAKE_BUILD_KDE4)
ENDIF(DEFINED CMAKE_BUILD_WINDOWS)

IF(DEFINED CMAKE_BUILD_KDE4)
target_link_libraries(ultracopier ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS ultracopier ${INSTALL_TARGETS_DEFAULT_ARGS} )
else(DEFINED CMAKE_BUILD_KDE4)
TARGET_LINK_LIBRARIES(ultracopier ${QT_LIBRARIES} ${QT_QTNETWORK_LIBRARY})
endif(DEFINED CMAKE_BUILD_KDE4)

#SET(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
#SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

=== debian/changelog ===
ultracopier (0.2.0.16-1) unstable; urgency=low

  * Initial release (Closes: #599008).
  * Modifications made to upstream archive:
    + Remove the inclusion of a non-existent file in qmake project file.
    + Set the name of the executable.
    + Populate INSTALLS variable to create an install target in
      generated Makefile.
    + Avoid linking Ultracopier against libpthread.
    + Remove deprecated TerminalOptions key in desktop entry.
    + Fix two typos affecting the binary.
    + Fix program version number
  * Add a manpage.
  * debian/copyright:
    + Use DEP5 candidate format.

 -- Thomas Preud'homme <robotux@celest.fr>  Thu, 30 Sep 2010 21:58:07 +0200

=== debian/control ===
Source: ultracopier
Section: utils
Priority: extra
Maintainer: Thomas Preud'homme <robotux@celest.fr>
Build-Depends: debhelper (>= 8.0.0), libqt4-dev, kdelibs5-dev, qt4-qmake
Standards-Version: 3.9.2
Homepage: http://ultracopier.first-world.info/
Vcs-Git: git://git.debian.org/collab-maint/ultracopier.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ultracopier.git;a=summary

Package: ultracopier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Advanced graphical file copy system
 Ultracopier is a graphical file copy system featuring:
  - transfer suspend
  - speed control
  - transfer list management
  - advanced name colision and error management
 .
 Ultracopier also supports multiple skins and languages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	rm -f build
	dh clean --buildsystem=qmake

build:
	dh build --buildsystem=qmake
	touch build

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/ultracopier/usr/share/ultracopier/lang/*

%:
	dh $@ --buildsystem=qmake

## ultracopier 0.3.1.0

=== debian/changelog ===
ultracopier (0.3.1.0-1) unstable; urgency=low

  * New upstream release
  * Remove merged patches:
    - 0001-Also-search-resources-in-var-lib-ultracopier.patch
    - 0002-Update-the-list-of-available-translations.patch
  * debian/rules:
    + Explicitly set ultracopier.pro as the main project file.
    + Stop creating player_pause.png resource for Teracopy theme since it is
      now in upstream tarball.
    + Drop executable permissions on flag.png images at build time.
  * Drop hardening-no-fortify-functions lintian override since it is a false
    positive (thanks Paul Tagliamonte).

 -- Thomas Preud'homme <robotux@debian.org>  Thu, 21 Mar 2013 15:31:34 +0100

ultracopier (0.3.0.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    + 0001-Also-search-resources-in-var-lib-ultracopier.patch
    + 0002-Update-the-list-of-available-translations.patch
    + 0003-Create-a-rule-to-compile-.ts-into-.qm.patch
    + 0004-Set-resources-installation-path.patch
    + 0005-Build-ultracopier-with-resources.patch
    + 0006-Avoid-linking-against-libpthread.patch
    + 0007-Fix-typos-in-string-shown-to-the-user.patch
  * debian/rules:
    + Explicitly set build.pro as the main project file.
    + Create missing resources/player_pause.png resource in
      plugins-alternative/Themes/Teracopy via a symlink to
      plugins/Themes/Oxygen/resources/player_pause.png.
    + Stop making i18n files executable.
    + Set QMAKE_CXXFLAGS_RELEASE and QMAKE_CXXFLAGS_DEBUG from CPPFLAGS and
      CXXFLAGS when invoking qmake.
  * debian/control:
    + Bump Standards-Version to 3.9.4 (no changes needed).
    + Update build dependency version on debhelper to reflect compatibility.
    + Update maintainer email address.
  * debian/copyright:
    + Update and complete copyright information.
    + Use version 1.0 of the format specification.
    + Update maintainer email address.
  * Bump debhelper compatibility to 9.
  * Override no-upstream-changelog lintian warning as there simply is no
    upstream changelog.
  * Override hardening-no-fortify-functions warning as -D_FORTIFY_SOURCE=2 is
    correctly passed to g++.

 -- Thomas Preud'homme <robotux@debian.org>  Mon, 31 Dec 2012 20:00:53 +0100

ultracopier (0.2.0.16-2) unstable; urgency=low

  * debian/rules:
    + Use dpkg-buildflags to set build flags (CPPFLAGS, CFLAGS and LDFLAGS).
  * debian/copyright:
    + Document global license and copyright.
    + Add missing dots in Expat license block.

 -- Thomas Preud'homme <robotux@celest.fr>  Thu, 16 Jun 2011 16:16:43 +0200

=== debian/control ===
Source: ultracopier
Section: utils
Priority: extra
Maintainer: Thomas Preud'homme <robotux@debian.org>
Build-Depends: debhelper (>= 9), libqt4-dev, kdelibs5-dev, qt4-qmake
Standards-Version: 3.9.4
Homepage: http://ultracopier.first-world.info/
Vcs-Git: git://git.debian.org/collab-maint/ultracopier.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ultracopier.git;a=summary

Package: ultracopier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced graphical file copy system
 Ultracopier is a graphical file copy system featuring:
  - transfer suspend
  - speed control
  - transfer list management
  - advanced name colision and error management
 .
 Ultracopier also supports multiple skins and languages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

exelang:=de it el ja pl zh tr
archplugins:=plugins-alternative/CopyEngine/Rsync \
	plugins-alternative/Themes/Clean \
	plugins-alternative/Themes/Teracopy \
	plugins/CopyEngine/Ultracopier-0.3 \
	plugins/Listener/catchcopy-v0002 \
	plugins/Listener/dbus \
	plugins/PluginLoader/catchcopy-v0002 \
	plugins/SessionLoader/KDE4 \
	plugins/SessionLoader/Windows \
	plugins/Themes/Oxygen

debian/detect_arch: debian/detect_arch.cpp
	dh_auto_configure --buildsystem=qmake -- debian/detect_arch.pro
	make
	make install
	make distclean

override_dh_auto_configure: debian/detect_arch
	find plugins/Languages -name flag.png -exec chmod a-x {} +
	ucp_arch=$$(debian/detect_arch) ; \
		for pluginsxml in $(patsubst %,%/informations.xml,$(archplugins)) ; do \
			sed -i -r "s|(<architecture>).*(</architecture>)|\1$$ucp_arch\2|" $$pluginsxml; \
		done
	dh_auto_configure --buildsystem=qmake -- \
		QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS) $(CPPFLAGS)" \
		QMAKE_CXXFLAGS_DEBUG="$(CXXFLAGS) $(CPPFLAGS)" build.pro

clean:
	rm -f build
	dh clean --buildsystem=qmake
	for pluginsxml in $(patsubst %,%/informations.xml,$(archplugins)) ; do \
		sed -i -r 's|(<architecture>).*(</architecture>)|\1windows-x86\2|' $$pluginsxml; \
	done
	rm -f debian/detect_arch
	for dir in $(exelang); do chmod go+x plugins/Languages/$$dir/flag.png ; done

build:
	dh build --buildsystem=qmake
	touch build

%:
	dh $@ --buildsystem=qmake

=== debian/watch ===
version=3

# Recursive directory scanning
http://files.first-world.info/ultracopier/(\d[\d\.]+)/ ultracopier-src-([\d\.]+)\.tar\.bz2 debian uupdate

## ultracopier 1.4.0.6

=== debian/changelog ===
ultracopier (1.4.0.6-2) unstable; urgency=medium

  * debian/build:
    + Ensure constant timestamp for Qt message files to get reproducible build.

 -- Thomas Preud'homme <robotux@debian.org>  Sat, 31 Mar 2018 20:26:27 +0100

ultracopier (1.4.0.6-1) unstable; urgency=medium

  * New upstream release:
    + Fix reproducibility issue.

 -- Thomas Preud'homme <robotux@debian.org>  Sat, 24 Mar 2018 17:55:08 +0000

ultracopier (1.4.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch to go through download page.

 -- Thomas Preud'homme <robotux@debian.org>  Thu, 15 Mar 2018 21:18:01 +0000

ultracopier (1.4.0.4-1) unstable; urgency=medium

  * New upstream release:
    + Drop all patches.
  * debian/control:
    + Make Vcs-Browser URL canonical.

 -- Thomas Preud'homme <robotux@debian.org>  Thu, 01 Mar 2018 22:42:01 +0000

ultracopier (1.4.0.3-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs fields.
  * debian/patches:
    + Drop patch to disable ultimate build, no longer needed.
    + Update meta-information on patch for Hurd support.

 -- Thomas Preud'homme <robotux@debian.org>  Sun, 25 Feb 2018 14:22:33 +0000

ultracopier (1.4.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Build ultracopier.pro instead of ultracopier-all-in-one-direct.pro
  * debian/patches:
    + Add patch to accept Hurd as a supported platform.

 -- Thomas Preud'homme <robotux@debian.org>  Fri, 23 Feb 2018 23:55:01 +0000

ultracopier (1.2.3.6-1) unstable; urgency=low

  * New upstream release (Closes: #875217):
    + Drop all patches.
  * debian/control:
    + Build-depend on Qt5 libraries.
    + Bump debhelper's Build-depend version
    + Lower priority to optional.
    + Bump standard version.
    + Use secure and canonical VCS URIs.
  * debian/rules:
    + Update qmake project file to build.
    + Generate and clean Qt message files.
    + Select Qt5 libraries.
    + Configure and enable installation.
    + Enable all hardening flags.
    + Stop patching architecture in informations.xml files.
    + Stop fiddling with permissions of flag.png images.
  * debian/patches:
    + Disable ultimate build.
  * debian/copyright:
    + Remove inline GPL-3 paragraph.
    + Use HTTPS URL for format field.
    + Update copyright years.
  * debian/watch:
    + Fix URL to upstream tarballs (thanks Bart Martens).
  * debian/compat:
    + Bump compat version.
  * Remove debian/detect_arch.cpp and debian/detect_arch.pro.

 -- Thomas Preud'homme <robotux@debian.org>  Wed, 14 Feb 2018 22:54:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ultracopier
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Thomas Preud'homme <robotux@debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, kdelibs5-dev, qt4-qmake
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 11), qtbase5-dev, kdelibs5-dev, qt5-qmake,
+               qttools5-dev-tools
+Standards-Version: 4.1.3
 Homepage: http://ultracopier.first-world.info/
-Vcs-Git: git://git.debian.org/collab-maint/ultracopier.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ultracopier.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/ultracopier.git
+Vcs-Browser: https://salsa.debian.org/debian/ultracopier
 
 Package: ultracopier
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT:=qt5
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	lrelease ultracopier.pro
	lrelease plugins/CopyEngine/Ultracopier/CopyEngine.pro
	lrelease plugins/Themes/Oxygen/interface.pro
	# Ensure QM file timestamps are stable over time because they get
	# picked up by rcc in files generated from QRC resource file when they
	# themselves refer to a QM file (ie. qrc_ultracopier-resources
	# generated from resources/ultracopier-resources.qrc gets the timestamp
	# from resources/Languages/en/translation.qm
	find -name \*.qm -exec touch -d@0 {} \;
	dh_auto_configure --buildsystem=qmake -- \
		QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS) $(CPPFLAGS)" \
		QMAKE_CXXFLAGS_DEBUG="$(CXXFLAGS) $(CPPFLAGS)" \
		target.path=/usr/bin "INSTALLS+=target" \
		ultracopier.pro

clean:
	rm -f build
	dh clean --buildsystem=qmake
	find -name \*.qm -delete
	rm -f debian/detect_arch

build:
	dh build --buildsystem=qmake
	touch build

%:
	dh $@ --buildsystem=qmake

## ultracopier 1.4.0.8

=== debian/changelog ===
ultracopier (1.4.0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Drop useless build-dependency on kdelibs5-dev.

 -- Thomas Preud'homme <robotux@debian.org>  Tue, 29 May 2018 05:53:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Preud'homme <robotux@debian.org>
-Build-Depends: debhelper (>= 11), qtbase5-dev, kdelibs5-dev, qt5-qmake,
+Build-Depends: debhelper (>= 11), qtbase5-dev, qt5-qmake,
                qttools5-dev-tools
 Standards-Version: 4.1.3
 Homepage: http://ultracopier.first-world.info/

## ultracopier 1.6.1.3

=== debian/changelog ===
ultracopier (1.6.1.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:08 +0100

ultracopier (1.6.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Bump Standards-Version to 4.3.0 (no changes needed).

 -- Thomas Preud'homme <robotux@debian.org>  Sun, 03 Feb 2019 21:37:22 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thomas Preud'homme <robotux@debian.org>
 Build-Depends: debhelper (>= 11), qtbase5-dev, qt5-qmake,
                qttools5-dev-tools
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://ultracopier.first-world.info/
 Vcs-Git: https://salsa.debian.org/debian/ultracopier.git
 Vcs-Browser: https://salsa.debian.org/debian/ultracopier

=== debian/watch ===
version=3
https://ultracopier.first-world.info/download-all.html .*/ultracopier-src-(\d+(?:\.\d+)*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## ultracopier 2.2.4.4

=== debian/changelog ===
ultracopier (2.2.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright info to reflect new release.
  * debian/rules:
    + Fix path to CopyEngine.pro.
    + Make use of execute_after and execute_before targets.
    + Remove stale line about detect_arch.
    + Export qmake cross wrapper in QMAKE to fix cross builds (Closes:
      #968214).
  * debian/control:
    + Add missing qtmultimedia5-dev and libopus-dev build-dependencies.
    + Build-depend on debhelper-compat 13.
    + Bump Standard-Version to 4.5.0 (no changes needed).
    + Set Rules-Requires-Root to no.
  * debian/compat:
    + Remove.
  * debian/upstream/metadata:
    + Document upstream information.

 -- Thomas Preud'homme <robotux@debian.org>  Thu, 13 Aug 2020 21:26:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,14 @@
 export QT_SELECT:=qt5
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+# Export qmake cross wrapper in QMAKE to allow lrelease to work in case of
+# cross-build.
+include /usr/share/dpkg/buildtools.mk
+export QMAKE
+
 override_dh_auto_configure:
 	lrelease ultracopier.pro
-	lrelease plugins/CopyEngine/Ultracopier/CopyEngine.pro
+	lrelease plugins/CopyEngine/Ultracopier-Spec/CopyEngine.pro
 	lrelease plugins/Themes/Oxygen/interface.pro
 	# Ensure QM file timestamps are stable over time because they get
 	# picked up by rcc in files generated from QRC resource file when they
@@ -22,14 +27,13 @@
 		target.path=/usr/bin "INSTALLS+=target" \
 		ultracopier.pro
 
-clean:
+execute_before_clean:
 	rm -f build
-	dh clean --buildsystem=qmake
+
+execute_after_clean:
 	find -name \*.qm -delete
-	rm -f debian/detect_arch
 
-build:
-	dh build --buildsystem=qmake
+execute_after_build:
 	touch build
 
 %:

## ultracopier 2.2.4.7

=== debian/changelog ===
ultracopier (2.2.4.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstreamed patches.

 -- Thomas Preud'homme <robotux@debian.org>  Mon, 21 Sep 2020 21:55:07 +0100

ultracopier (2.2.4.5-3) unstable; urgency=medium

  * Remove override for obsolete no-upstream-changelog lintian tag.
  * Improve support for terse option of DEB_BUILD_OPTIONS.

 -- Thomas Preud'homme <robotux@debian.org>  Sun, 20 Sep 2020 12:53:16 +0100

ultracopier (2.2.4.5-2) unstable; urgency=medium

  * Fix missed unconditional uses of PATH_MAX.
  * Fix linking of libopus on Hurd.

 -- Thomas Preud'homme <robotux@debian.org>  Sat, 05 Sep 2020 20:34:48 +0100

ultracopier (2.2.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix build failure on GNU/Hurd due to unconditional use of
    PATH_MAX.

 -- Thomas Preud'homme <robotux@debian.org>  Mon, 31 Aug 2020 01:09:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,15 @@
 include /usr/share/dpkg/buildtools.mk
 export QMAKE
 
+LRELEASE_OPTS=
+ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+  LRELEASE_OPTS=-silent
+endif
+
 override_dh_auto_configure:
-	lrelease ultracopier.pro
-	lrelease plugins/CopyEngine/Ultracopier-Spec/CopyEngine.pro
-	lrelease plugins/Themes/Oxygen/interface.pro
+	lrelease $(LRELEASE_OPTS) ultracopier.pro
+	lrelease $(LRELEASE_OPTS) plugins/CopyEngine/Ultracopier-Spec/CopyEngine.pro
+	lrelease $(LRELEASE_OPTS) plugins/Themes/Oxygen/interface.pro
 	# Ensure QM file timestamps are stable over time because they get
 	# picked up by rcc in files generated from QRC resource file when they
 	# themselves refer to a QM file (ie. qrc_ultracopier-resources

## ultracopier 2.2.6.0

=== plugins/Listener/catchcopy-v0002/Makefile ===
#############################################################################
# Makefile for building: liblistener.so
# Generated by qmake (3.1) (Qt 5.15.2)
# Project:  listener.pro
# Template: lib
# Command: /usr/lib/qt5/bin/qmake -o Makefile listener.pro -spec linux-g++ CONFIG+=debug
#############################################################################

MAKEFILE      = Makefile

EQ            = =

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_PLUGIN -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -g -Wall -Wextra -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -std=c++0x -Wall -Wextra -g -std=gnu++11 -Wall -Wextra -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I. -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5/QtNetwork -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I. -I/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++
QMAKE         = /usr/lib/qt5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /usr/lib/qt5/bin/qmake -install qinstall
QINSTALL_PROGRAM = /usr/lib/qt5/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = listener1.0.0
DISTDIR = /home/user/Desktop/ultracopier/sources/plugins/Listener/catchcopy-v0002/.tmp/listener1.0.0
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS) /usr/lib/x86_64-linux-gnu/libQt5Gui.so /usr/lib/x86_64-linux-gnu/libQt5Network.so /usr/lib/x86_64-linux-gnu/libQt5Core.so -lGL -lpthread   
AR            = ar cqs
RANLIB        = 
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = listener.cpp \
		catchcopy-api-0002/ServerCatchcopy.cpp \
		catchcopy-api-0002/ExtraSocketCatchcopy.cpp \
		../../../cpp11addition.cpp \
		../../../cpp11additionstringtointcpp.cpp moc_listener.cpp \
		moc_ServerCatchcopy.cpp \
		moc_PluginInterface_Listener.cpp
OBJECTS       = listener.o \
		ServerCatchcopy.o \
		ExtraSocketCatchcopy.o \
		cpp11addition.o \
		cpp11additionstringtointcpp.o \
		moc_listener.o \
		moc_ServerCatchcopy.o \
		moc_PluginInterface_Listener.o
DIST          = /usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/sanitize.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_Attica.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_Baloo.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KActivities.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KArchive.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KAuth.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KAuthCore.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KBookmarks.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KCMUtils.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KCodecs.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KCompletion.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KConfigCore.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KConfigGui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KConfigWidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KCoreAddons.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KCrash.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KDBusAddons.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KEmoticons.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KFileMetaData.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KGlobalAccel.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KGuiAddons.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KI18n.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KIconThemes.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KIOCore.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KIOFileWidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KIOGui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KIOWidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KItemModels.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KItemViews.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KJobWidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KNewStuff.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KNewStuffCore.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KNotifications.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KNotifyConfig.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KNTLM.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KParts.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KService.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KTextWidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KUnitConversion.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KWidgetsAddons.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KWindowSystem.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KXmlGui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_accessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_devicediscovery_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_edid_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_egl_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfs_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfsdeviceintegration_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eventdispatcher_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fb_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fontdatabase_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_glx_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_input_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_linuxaccessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimedia.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimediawidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_platformcompositor_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qmlmodels.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qmltest.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qmlworkerscript.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quick.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quickwidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_script.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_scripttools.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_service_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_svg.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_theme_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_vulkan_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_websockets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_x11extras.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xcb_qpa_lib_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xkbcommon_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_phonon4qt5.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_Solid.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_SonnetCore.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_SonnetUi.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_functions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++/qmake.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exclusive_builds.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/toolchain.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resolve_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/warn_on.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resources_functions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resources.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/moc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/opengl.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/thread.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qmake_use.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/file_copies.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/testcase_targets.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exceptions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/yacc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/lex.prf \
		listener.pro listener.h \

=== debian/changelog ===
ultracopier (2.2.6.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1013057).

 -- Thomas Preud'homme <robotux@debian.org>  Sun, 26 Jun 2022 22:46:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Preud'homme <robotux@debian.org>
-Build-Depends: debhelper (>= 11), qtbase5-dev, qt5-qmake,
-               qttools5-dev-tools
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), qtbase5-dev, qt5-qmake,
+               qttools5-dev-tools, qtmultimedia5-dev, libopus-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://ultracopier.first-world.info/
 Vcs-Git: https://salsa.debian.org/debian/ultracopier.git
 Vcs-Browser: https://salsa.debian.org/debian/ultracopier
